## org.hibernate.dialect.function
Class TemplateRenderer

    java.lang.Object
      org.hibernate.dialect.function.TemplateRenderer

    public class TemplateRenderer

extends Object

Delegate for handling function "templates".

Author:
  Steve Ebersole

Constructor Summary
`TemplateRenderer(String template)`

Method Summary
`int` `getAnticipatedNumberOfArguments()`
`String` `getTemplate()`
`String` `render(List args, SessionFactoryImplementor factory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateRenderer

    public TemplateRenderer(String template)

Method Detail

### getTemplate

    public String getTemplate()

### getAnticipatedNumberOfArguments

    public int getAnticipatedNumberOfArguments()

### render

    public String render(List args,
                         SessionFactoryImplementor factory)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.